package com.clx.performance.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.clx.performance.param.app.integral.DriverPageIntegralTruckRankParam;
import com.clx.performance.param.pc.IntegralTruckAddParam;
import com.clx.performance.param.pc.PageIntegralTruckRankParam;
import com.clx.performance.param.pc.PageIntegralTruckParam;
import com.clx.performance.vo.pc.IntegralTruckVO;

public interface IntegralTruckService {

    void saveTruck(IntegralTruckAddParam param);

    IPage<IntegralTruckVO> pageTruckList(PageIntegralTruckParam param);

    IntegralTruckVO getTruckDriverInfo(String truckNo);
    Integer getTruckCount(Integer truckEchelon);

    IPage<IntegralTruckVO> pageTruckRank(PageIntegralTruckRankParam param);
    IPage<IntegralTruckVO> driverPageTruckRank(DriverPageIntegralTruckRankParam param);

}
